<app-spinner *ngIf='loadingSpinner'></app-spinner>
<div *ngIf='!loadingSpinner'>

  <app-chef-nav-bar></app-chef-nav-bar>

  <form [formGroup]="newFoodForm" fxLayout="row" fxLayoutAlign="space-around center" class="form">

    <div fxLayout="column" fxLayoutAlign="space-around stretch">
      <div fxLayout="row" fxLayoutAlign="space-around center" class="distance-bottom">
        <md-input-container class="full">
          <input mdInput autocomplete="off" placeholder="Name" type="text" [(ngModel)]="name" formControlName="name" (blur)="checkName()" required>
          <md-error *ngIf="newFoodForm.get('name').touched && newFoodForm.get('name').hasError('required')">
            Name is required
          </md-error>
          <md-error *ngIf="foodExists">
            Name already exists
          </md-error>
        </md-input-container>


      </div>
      <div fxLayout="row" fxLayoutAlign="space-around center">

        <md-select placeholder="Food type" formControlName="type" required class="select">
          <md-option *ngFor="let foodType of selectFoodTypesCreateDropdown" [value]="foodType.value"> {{foodType.viewValue}} </md-option>
        </md-select>

        <md-input-container>
          <textarea mdInput autocomplete="off" placeholder="Description" formControlName="description" type="text"></textarea>
        </md-input-container>
      </div>
    </div>



    <div fxLayout="column" fxLayoutAlign="space-around stretch">
      <div class="price distance-bottom">
        <md-input-container>
          <input mdInput autocomplete="off" placeholder="Price" formControlName="price" type="text" required>
          <md-error *ngIf="newFoodForm.get('price').touched && newFoodForm.get('price').hasError('required')">
            Price is required
          </md-error>
        </md-input-container>
      </div>

      <div>
        <button type="submit" (click)="submit()" [disabled]="newFoodForm.invalid" md-raised-button class="red-button create-food">Create food</button>
        <app-spinner *ngIf='loading'></app-spinner>
      </div>
    </div>




  </form>


  <div fxLayout="row" fxLayoutAlign="space-between center">

    <div>
      <md-select placeholder="Foods per page" name="item" [(ngModel)]='pageSize' (ngModelChange)="fetchPages()">
        <md-option *ngFor='let num of numberOfItems' [value]='num'>{{ num }}</md-option>
      </md-select>

      <md-select placeholder="Select type" [(ngModel)]="filter" (ngModelChange)="fetchPages()" name="type">
        <md-option *ngFor="let foodType of selectFoodTypes" [value]="foodType.value"> {{foodType.viewValue}} </md-option>
      </md-select>

      <md-select placeholder="Select order" [(ngModel)]="sorting" (ngModelChange)="fetchPages()" name="popularity">
        <md-option *ngFor="let pop of popularity" [value]="pop.value"> {{pop.viewValue}} </md-option>
      </md-select>

      <md-checkbox (ngModelChange)="checkArchived()" [ngModel]="getArchived">View archived items</md-checkbox>
    </div>

    <div>
      <app-pagination (pageChanged)="changePage($event)" [currentPage]="currentPage" [totalItems]="totalItems" [pageSize]="pageSize"></app-pagination>
    </div>

  </div>

  <md-card class="card-conteiner" *ngFor="let food of foods">
    <app-chef-home-food [food]="food" [archivedMode]="getArchived" (successEditEvent)="resetPages()" (delete)="resetPages()"></app-chef-home-food>
  </md-card>

  <md-card fxLayout="column" fxLayoutAlign="center center" *ngIf="presentingFoods === 0">
    <h4> There are no foods in this list !</h4>


  </md-card>


</div>
